@charset "utf-8";

@font-face {
    src: local('☺'), url('../font/Lexend-VariableFont_wght.ttf') format('truetype');
    font-family: Lexend;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

body {
    font-family: Lexend;
    background-color: #fff;
}

nav[aria-label="breadcrumb"] {
    --bs-breadcrumb-divider: '>';
}

.breadcrumb {
    margin-bottom: 0;
}

.breadcrumb>li>a,
table>tbody>tr>td>a {
    text-decoration: none;
}

.breadcrumb>.breadcrumb-item+.breadcrumb-item::before {
    float: left;
    padding-left: 0;
}

.container-fluid {
    padding-left: 0;
    padding-right: 0;
}

#loader {
    display: none;
    position: fixed;
    z-index: 9999;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba(40, 40, 40, .7) url(../img/loader.gif) 50% 50% no-repeat;
}

.form-control {
    border: 1px solid #666;
    border-radius: 3px;
    padding: .5rem 1rem;
    transition: all .3s;
}

.form-floating>label {
    transform-origin: 0 0;
}

.btn {
    border-width: 2px;
    border-radius: 60px;
    padding: 8px 24px;
    font-weight: bold;
}

.btn-main {
    background-color: #e23125;
    border-color: #e23125;
    color: #fff;
}

.btn-main:hover, .btn-main:first-child:active {
    background-color: #f9e0e2;
    border-color: #e23125;
    color: #e23125;
}

.form-select {
    border: 1px solid #666;
    border-radius: 3px;
    transition: all .3s;
}

form {
    border-style: dotted;
}

.modal form {
    border-style: none;
}

form>fieldset>legend {
    font-size: 1.7rem;
    color: #431e12;
    border-bottom: 1px solid #431e12;
    text-align: center;
}

.bg-main {
    background-color: #f4e9b9;
}

.w-100 {
    width: 100%;
}

/* Header e footer */
header .navbar {
    background-color: #f9e0e2;
    padding: 24px 0;
}

header .navbar>.container-fluid {
    max-width: min(100%, 1140px);
}

header .navbar>.container-fluid img {
    width: 158px;
}

header .navbar-nav>.nav-item>.nav-link,
footer .nav>.nav-item>.nav-link, footer a {
    position: relative;
    display: inline-block;
    color: #e23125;
    text-transform: uppercase;
    padding: 8px;
    font-weight: bold;
}

footer a {
    text-transform: none;
    text-decoration: none;
    font-weight: 500;
    padding: 0;
}

header .navbar-nav>.nav-item>.nav-link::before, header .navbar-nav>.nav-item>.nav-link::after,
footer .nav>.nav-item>.nav-link::before, footer .nav>.nav-item>.nav-link::after, footer a::after {
    position: absolute;
    display: inline-block;
    content: "";
    background-color: #e23125;
}

header .navbar-nav>.nav-item>.nav-link::before,
footer .nav>.nav-item>.nav-link::before, footer a::before {
    left: 0;
    top: 0;
    height: 1px;
}

header .navbar-nav>.nav-item>.nav-link::after,
footer .nav>.nav-item>.nav-link::after, footer::after {
    bottom: 0;
    right: 0;
    height: 2px;
}

header .navbar-nav>.nav-item>.nav-link:hover:before, .navbar-nav>.nav-item>.nav-link:hover:after/*,
footer .nav>.nav-item>.nav-link:before, footer .nav>.nav-item>.nav-link:after, footer:after*/ {
    animation: drawline 1s forwards;
}

header .navbar-nav>.nav-item>.nav-link,
header .navbar-nav>.nav-item>.btn {
    margin: 0 24px;
}

footer {
    border-top: 2px solid #e23125;
    background-color: #f9e0e2;
    color: #e23125;
    font-size: 16px;
    font-weight: 500;
    padding: 0;
}

footer>.row {
    padding: 5% 5% 0;
}

footer>.row>.col {
    padding-right: 2%;
}

footer>.row>.col>h4 {
    font-family: "Lexend", sans-serif;
    font-size: 20px;
    font-weight: 600;
    padding-right: 2%;
}

footer .nav>.nav-item>.nav-link {
    font-weight: 500;
    padding: 8px 0;
}

footer>.copyright {
    padding: 3% 5% 1%;
}

footer a>svg {
    font-size: 22px;
}

footer svg {
    display: inline-block;
    position: relative;
    width: 1em;
    height: 1em;
    fill: rgb(226, 49, 37);
}

@keyframes drawline {
    0% { width: 0; }
    100% { width: 100%; }
}

@media (max-width: 991px) {
    header .navbar-nav>.nav-item>.btn {
        margin-top: 16px;
    }
}

@media (min-width: 992px) {
    header .navbar-nav>.nav-item>.btn {
        margin-left: 96px;
    }
}

@media (max-width: 768px) {
    footer .row>.col {
        justify-items: center;
        text-align: center;
    }
}

/* Messaggi */
.message {
    position: fixed;
    top: 155px;
    right: 10px;
    padding: .5rem 1rem;
    background: #eff8ff;
    color: #2779bd;
    border-color: #6cb2eb;
    border-width: 1px;
    border-style: solid;
    border-radius: 4px;
    margin-bottom: 1rem;
    cursor: pointer;
    z-index: 999;
}

.message.success {
    background: #e3fcec;
    color: #1f9d55;
    border-color: #51d88a;
}

.message.warning {
    background: #fffabc;
    color: #8d7b00;
    border-color: #d3b800;
}

.message.error {
    background: #fcebea;
    color: #cc1f1a;
    border-color: #ef5753;
}

.message.hidden {
    display: none;
}

/*
.message {
    display: block;
    position: fixed;
    top: 15px;
    right: 15px;
    height: 50px;
    z-index: 999;
    overflow: hidden;
    cursor: pointer;
    background-color: #a0d3e8;
    color: #626262;
    line-height: 2.5em;
    font-weight: normal;
    margin-top: 15px;
    padding: 0 1.5rem 0 1.5rem;
    transition: height 300ms ease-out 0s;
}

.message:before {
    display: inline-block;
    position: relative;
    content: "i";
    left: -11px;
    width: 12px;
    height: 12px;
    line-height: 0px;
    background-color: #fff;
    color: #a0d3e8;
    font-size: 20px;
    vertical-align: middle;
    padding: 12px 14px 12px 10px;
    border-radius: 15px;
    text-align: center;
}

.message.success {
    background-color: #198754;
    color: #fff;
}

.message.success:before {
    content: "x";
    color: #198754;
    padding: 11px 16px 14px 7px;
}

.message.error {
    background-color: #c3232d;
    color: #fff;
}

.message.error:before {
    content: "x";
    color: #c3232d;
    padding: 11px 16px 14px 7px;
}

.message.hidden {
    height: 0;
}
*/